# net-suite frontend

## Project setup
```
npm install
```

### Development setup
1. Generate API-Endpoints
    ```
    NETDB_AUTH=<API-Token> python3 ./generate_base_model.py
    ```
2. Create netvs-configuration `netvs.config.js`. See `netvs.config.js.example`. 
3. Run the development server
    ```
    npm run serve
    ```

### Compiles and minifies for production
```
npm run build
```

### Run your tests
```
npm run test
```

### Lints and fixes files
```
npm run lint
```

### Customize configuration
See [Configuration Reference](https://cli.vuejs.org/config/).
