import TransactionService from './transaction.service'

export default {
    getOverview(config) {
        let ta = [
            {"name": "nd.bcd.list", "old": {"is_own": true}},
            {"name": "org.unit.list", "join": {"0": "api_fkey_nd_bcd_oe"}},
            {"name": "nd.ip_subnet.list", "join": {"0": "api_fkey_nd_ip_subnet_bcd"}},
            {"name": "nd.vlan.list", "join": {"0": "api_fkey_nd_vlan_bcd"}},
        ]
        return TransactionService.execute(config, ta);
    },

    getDetail(config, name) {
        let ta = [
            {"name": "nd.bcd.list", "old": {"name_list": [name]}},
            {"name": "dns.mgr2bcd.list", "join": {"0": "dns.mgr2bcd.fkey_dns_mgr2bcd_bcd"}},
            {"name": "cntl.mgr.list", "join": {"1": "dns.mgr2bcd.fkey_dns_mgr2bcd_mgr"}},
            {"name": "dns.domain2bcd.list", "join": {"0": "dns.domain2bcd.fkey_dns_domain2bcd_bcd"}},
            {"name": "org.unit.list", "join": {"0": "nd.bcd.fkey_nd_bcd_oe"}},
            {"name": "nd.ip_subnet.list", "join": {"0": "nd.ip_subnet.fkey_nd_ip_subnet_bcd"}}
        ]
        return TransactionService.execute(config, ta);
    }
};

