import Axios from 'axios';
import config from '@/../netvs.config'

const LOGIN_RESOURCE = '/api/login';
const LOGOUT_RESOURCE = '/api/logout';

export default {
    login(username, password) {
        if (config.ENABLE_OIC) {
            return Axios.post(LOGIN_RESOURCE)
        }
        return Axios.post(LOGIN_RESOURCE, {'username': username, 'password': password})
    },
    logout(token_pk) {
        return Axios.post(LOGOUT_RESOURCE, {'token_pk': token_pk})
    }
};

