from flask import Blueprint
from net_suite.modules.ldap import ldap
from net_suite import app

login_url = 'login_db.login'
login_db = Blueprint('login_db', __name__)
ldap_con = ldap.LDAP(ldap_server=app.config.get('LDAP_SERVER'), ldap_bind_user=app.config.get('LDAP_BIND_USER'),
                     ldap_bind_pw=app.config.get('LDAP_BIND_PW'),
                     default_search_base=app.config.get('LDAP_SEARCH_BASE'))

from . import views
