from flask import Blueprint
from net_suite import app, get_git_version, ModMetaData
import requests


bb_name = 'ip_contact'
ip_contact = Blueprint(bb_name, __name__, template_folder='templates')

METADATA = ModMetaData(name=bb_name, mod_path=__name__, gitlab_url='https://git.scc.kit.edu/scc-net/net-suite/net-suite-ip_contact',
                       printable_name='Adressbetreuer kontaktieren', version=get_git_version(__file__),
                       contact_email='dns-betrieb@scc.kit.edu', is_tool=True)
MENU = {METADATA.printable_name: 'ip_contact.main'}
from . import views
